# Generated by Django 4.1.7 on 2023-04-12 10:33

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Apartament',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.IntegerField(help_text='Стоимость аренды квартиры за месяц', validators=[django.core.validators.MaxValueValidator(450000)])),
                ('bail', models.IntegerField(help_text='Стоимость залога квартиры', validators=[django.core.validators.MaxValueValidator(450000)])),
                ('agencyCommission', models.IntegerField(validators=[django.core.validators.MaxValueValidator(450000)], verbose_name='Коммисия агенству')),
                ('utilitiesPrice', models.CharField(help_text='Стоимость коммунальных услуг', max_length=100)),
                ('minimumLeasePeriod', models.IntegerField(help_text='Минимальный срок аренды в месяцах', validators=[django.core.validators.MaxValueValidator(60)])),
                ('address', models.CharField(help_text='Адрес квартиры', max_length=100)),
                ('description', models.TextField(help_text='Описание квартиры', max_length=300)),
                ('perimetrs', models.FloatField(help_text='Количество квадратных метров', validators=[django.core.validators.MaxValueValidator(250)])),
                ('rooms', models.IntegerField(help_text='Количество комнат', validators=[django.core.validators.MaxValueValidator(10)])),
                ('ceilingHeight', models.FloatField(help_text='Высота потолков в метрах', validators=[django.core.validators.MaxValueValidator(5)])),
                ('floor', models.IntegerField(help_text='Этаж квартиры', validators=[django.core.validators.MaxValueValidator(50)])),
                ('floorHouse', models.IntegerField(help_text='Количество этажей в доме', validators=[django.core.validators.MaxValueValidator(50)])),
                ('phoneNumber', models.CharField(help_text='Номер телефона для связи', max_length=16, unique=True, validators=[django.core.validators.RegexValidator(regex='^\\+?1?\\d{8,15}$')])),
                ('timeToBus', models.IntegerField(help_text='Время до ближайшей автобусной остановки в минутах', validators=[django.core.validators.MaxValueValidator(60)])),
                ('timeToTrain', models.IntegerField(help_text='Время до ближайшей Ж/Д станции в минутах', validators=[django.core.validators.MaxValueValidator(60)])),
                ('isFurniture', models.BooleanField(help_text='Имеется мебель в квартире')),
                ('isAnimal', models.BooleanField(help_text='Можно с питомцем')),
                ('isTelevision', models.BooleanField(help_text='Имеется телевизор в квартире')),
                ('isChild', models.BooleanField(help_text='Можно с детьми')),
                ('isInternet', models.BooleanField(help_text='Проведен интернет в квартире')),
                ('isBathroom', models.BooleanField(help_text='Имеется санузел в квартире')),
                ('isRefrigerator', models.BooleanField(help_text='Имеется холодильник в квартире')),
                ('isWasher', models.BooleanField(help_text='Имеется стиральная машинка в квартире')),
                ('isAirConditioning', models.BooleanField(help_text='Имеется кондиционер в квартире')),
                ('isFreshRepair', models.BooleanField(help_text='Недавно был ремонт в квартире')),
                ('isElevator', models.BooleanField(help_text='Имеется лифт в доме')),
                ('isParking', models.BooleanField(help_text='Имеется закрытая парковка у дома')),
                ('isGarbageChute', models.BooleanField(help_text='Имеется мусоропровод в доме')),
                ('isConcierge', models.BooleanField(help_text='Имеется консьерж в доме')),
                ('dateCreate', models.DateField(auto_now_add=True, help_text='Дата добавления квартиры')),
            ],
        ),
    ]
